.TH "DynamicUI" 3 "AlatZaAnalitiku" \" -*- nroff -*-
.ad l
.nh
.SH NAME
DynamicUI
.SH SYNOPSIS
.br
.PP
.PP
\fR#include <dynamicui\&.h>\fP
.PP
Inherits QMainWindow\&.
.SS "Public Slots"

.in +1c
.ti -1c
.RI "void \fBopenPlotWindow\fP ()"
.br
.ti -1c
.RI "void \fBopenStatWindow\fP ()"
.br
.ti -1c
.RI "void \fBsaveToPdf\fP (const QString &fileName)"
.br
.ti -1c
.RI "void \fBupdateDateTime\fP ()"
.br
.ti -1c
.RI "void \fBsaveToPdfButtonClicked\fP ()"
.br
.ti -1c
.RI "void \fBexpandWorkSpace\fP ()"
.br
.in -1c
.SS "Public Member Functions"

.in +1c
.ti -1c
.RI "\fBDynamicUI\fP (QWidget *parent=nullptr)"
.br
.ti -1c
.RI "\fBDynamicUI\fP (QWidget *parent=nullptr, const QString &filePath='')"
.br
.ti -1c
.RI "\fB~DynamicUI\fP ()"
.br
.ti -1c
.RI "\fBDataFrame\fP \fBdf\fP ()"
.br
.ti -1c
.RI "QWidget * \fBgetContentWidget\fP ()"
.br
.ti -1c
.RI "void \fBaddObject\fP (\fBTContainer\fP *tc)"
.br
.in -1c
.SS "Public Attributes"

.in +1c
.ti -1c
.RI "QPoint \fBwidgetSpawn\fP"
.br
.in -1c
.SS "Private Attributes"

.in +1c
.ti -1c
.RI "QVector< \fBTContainer\fP * > \fBobjects\fP"
.br
.ti -1c
.RI "Ui::DynamicUI * \fBui\fP"
.br
.ti -1c
.RI "QString \fB_filePath\fP"
.br
.ti -1c
.RI "\fBDataFrame\fP \fB_df\fP"
.br
.ti -1c
.RI "QScrollArea * \fBsa\fP"
.br
.ti -1c
.RI "QWidget * \fBcontentWidget\fP"
.br
.in -1c
.SH "Constructor & Destructor Documentation"
.PP 
.SS "DynamicUI::DynamicUI (QWidget * parent = \fRnullptr\fP)\fR [explicit]\fP"

.SS "DynamicUI::DynamicUI (QWidget * parent = \fRnullptr\fP, const QString & filePath = \fR''\fP)"

.SS "DynamicUI::~DynamicUI ()"

.SH "Member Function Documentation"
.PP 
.SS "void DynamicUI::addObject (\fBTContainer\fP * tc)"

.SS "\fBDataFrame\fP DynamicUI::df ()"

.SS "void DynamicUI::expandWorkSpace ()\fR [slot]\fP"

.SS "QWidget * DynamicUI::getContentWidget ()"

.SS "void DynamicUI::openPlotWindow ()\fR [slot]\fP"

.SS "void DynamicUI::openStatWindow ()\fR [slot]\fP"

.SS "void DynamicUI::saveToPdf (const QString & fileName)\fR [slot]\fP"

.SS "void DynamicUI::saveToPdfButtonClicked ()\fR [slot]\fP"

.SS "void DynamicUI::updateDateTime ()\fR [slot]\fP"

.SH "Member Data Documentation"
.PP 
.SS "\fBDataFrame\fP DynamicUI::_df\fR [private]\fP"

.SS "QString DynamicUI::_filePath\fR [private]\fP"

.SS "QWidget* DynamicUI::contentWidget\fR [private]\fP"

.SS "QVector<\fBTContainer\fP*> DynamicUI::objects\fR [private]\fP"

.SS "QScrollArea* DynamicUI::sa\fR [private]\fP"

.SS "Ui::DynamicUI* DynamicUI::ui\fR [private]\fP"

.SS "QPoint DynamicUI::widgetSpawn"


.SH "Author"
.PP 
Generated automatically by Doxygen for AlatZaAnalitiku from the source code\&.
